package osgi.cache;

import java.io.Serializable;
import org.slf4j.LoggerFactory;

/**
 * 
 * @author jpadron
 *
 */
public class Content implements Serializable {

	private static final long serialVersionUID = 8696338194099023698L;
	private static ThreadLocal<byte[]> fileContent = new ThreadLocal<byte[]>();
	private static final transient org.slf4j.Logger log = LoggerFactory.getLogger(ContentCache.class);

	/**
	 * 
	 * @return
	 */
	public static byte[] getFileContent() {
		byte[] contenido = fileContent.get();
		log.debug("[FileContent] Thread: " + Thread.currentThread().getId() + " - Devolviendo contenido: " + contenido);
		return contenido;
	}

	/**
	 * 
	 * @param content
	 */
	public static void setFileContent(byte[] content) {
		fileContent.set(content);
		log.debug("[FileContent] Thread: " + Thread.currentThread().getId() + " - Contenido asignado: " + new String(content));
	}
	
	
}
